export const abi = [
	{
		inputs: [
			{
				internalType: "bytes32",
				name: "_requestId",
				type: "bytes32",
			},
			{
				internalType: "uint256",
				name: "_payment",
				type: "uint256",
			},
			{
				internalType: "bytes4",
				name: "_callbackFunctionId",
				type: "bytes4",
			},
			{
				internalType: "uint256",
				name: "_expiration",
				type: "uint256",
			},
		],
		name: "cancelRequest",
		outputs: [],
		stateMutability: "nonpayable",
		type: "function",
	},
	{
		inputs: [],
		stateMutability: "nonpayable",
		type: "constructor",
	},
	{
		anonymous: false,
		inputs: [
			{
				indexed: true,
				internalType: "bytes32",
				name: "id",
				type: "bytes32",
			},
		],
		name: "ChainlinkCancelled",
		type: "event",
	},
	{
		anonymous: false,
		inputs: [
			{
				indexed: true,
				internalType: "bytes32",
				name: "id",
				type: "bytes32",
			},
		],
		name: "ChainlinkFulfilled",
		type: "event",
	},
	{
		anonymous: false,
		inputs: [
			{
				indexed: true,
				internalType: "bytes32",
				name: "id",
				type: "bytes32",
			},
		],
		name: "ChainlinkRequested",
		type: "event",
	},
	{
		inputs: [
			{
				internalType: "string",
				name: "_key",
				type: "string",
			},
		],
		name: "deleteMappingElement",
		outputs: [],
		stateMutability: "nonpayable",
		type: "function",
	},
	{
		inputs: [
			{
				internalType: "bytes32",
				name: "_requestId",
				type: "bytes32",
			},
			{
				internalType: "bytes32",
				name: "_votes",
				type: "bytes32",
			},
		],
		name: "fulfillpresidentialWinners",
		outputs: [],
		stateMutability: "nonpayable",
		type: "function",
	},
	{
		anonymous: false,
		inputs: [
			{
				indexed: true,
				internalType: "address",
				name: "previousOwner",
				type: "address",
			},
			{
				indexed: true,
				internalType: "address",
				name: "newOwner",
				type: "address",
			},
		],
		name: "OwnershipTransferred",
		type: "event",
	},
	{
		inputs: [
			{
				internalType: "address",
				name: "_oracle",
				type: "address",
			},
			{
				internalType: "string",
				name: "_jobId",
				type: "string",
			},
			{
				internalType: "string",
				name: "_state",
				type: "string",
			},
		],
		name: "requestPresidentialVotes",
		outputs: [],
		stateMutability: "nonpayable",
		type: "function",
	},
	{
		inputs: [
			{
				internalType: "address",
				name: "newOwner",
				type: "address",
			},
		],
		name: "transferOwnership",
		outputs: [],
		stateMutability: "nonpayable",
		type: "function",
	},
	{
		inputs: [],
		name: "isOwner",
		outputs: [
			{
				internalType: "bool",
				name: "",
				type: "bool",
			},
		],
		stateMutability: "view",
		type: "function",
	},
	{
		inputs: [],
		name: "owner",
		outputs: [
			{
				internalType: "address",
				name: "",
				type: "address",
			},
		],
		stateMutability: "view",
		type: "function",
	},
	{
		inputs: [
			{
				internalType: "string",
				name: "",
				type: "string",
			},
		],
		name: "presidentialWinners",
		outputs: [
			{
				internalType: "string",
				name: "winner",
				type: "string",
			},
			{
				internalType: "uint256",
				name: "resultNow",
				type: "uint256",
			},
			{
				internalType: "uint256",
				name: "resultBlock",
				type: "uint256",
			},
		],
		stateMutability: "view",
		type: "function",
	},
];
